#include <QtQml/qqmlprivate.h>
#include <QtCore/qdir.h>
#include <QtCore/qurl.h>

namespace QmlCacheGeneratedCode {
namespace _0x5f__DepartureQueryPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__JourneySectionStopDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__VehicleLayoutPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__SettingsPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__DocumentsPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TimelineSectionDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__PkPassBarcode_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__JourneySectionDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__StopPickerPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__PlaceEditor_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__BoardingPass_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__HotelDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__LocationInfoDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__JourneyRequestPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__AboutPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__StatisticsDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__PlaceDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__RestaurantPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__CarRentalPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__BusDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__WelcomePage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__DateTimeEdit_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__JourneySectionPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__IndoorMapPlatformSheet_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TripGroupDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__JourneyPathPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TouristAttractionPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__HealthCertificateTest_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__DevelopmentModePage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__WeatherForecastDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TimelinePage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__StatisticsPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__HealthCertificateBarcode_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__FlightPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TrainEditor_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__CountryComboBox_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__AlternativeJourneyPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__IndoorMapPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TicketTokenDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__JourneyDelegateHeader_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__EventDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__JourneySummaryDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__JourneyQueryPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__CarRentalDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TrainDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__HealthCertificateRecovery_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TouristAttractionDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__HotelEditor_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__EditorPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__RestaurantDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__DetailsPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__IndoorMapGateSheet_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__EventPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__HealthCertificateVaccination_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__main_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__DateInput_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__IndoorMapInfoSheetOpeningHoursDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__BarcodeScanModeController_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__HotelPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TimelineDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__LocationPicker_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TransferPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__FlightEditor_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__IndoorMapElevatorSheet_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__PublicTransportBackendPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__VehicleLoadIndicator_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__FlightDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__HealthCertificatePage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TrainPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__EventEditor_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__IndoorMapInfoSheet_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__RestaurantEditor_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TransferDelegate_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__BusPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__WeatherForecastPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__EventTicket_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__PkPassPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__FavoriteLocationPage_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}
namespace _0x5f__TimeInput_qml { 
    extern const unsigned char qmlData[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), nullptr, nullptr
    };
}

}
namespace {
struct Registry {
    Registry();
    ~Registry();
    QHash<QString, const QQmlPrivate::CachedQmlUnit*> resourcePathToCachedUnit;
    static const QQmlPrivate::CachedQmlUnit *lookupCachedUnit(const QUrl &url);
};

Q_GLOBAL_STATIC(Registry, unitRegistry)


Registry::Registry() {
        resourcePathToCachedUnit.insert(QStringLiteral("/DepartureQueryPage.qml"), &QmlCacheGeneratedCode::_0x5f__DepartureQueryPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/JourneySectionStopDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__JourneySectionStopDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/VehicleLayoutPage.qml"), &QmlCacheGeneratedCode::_0x5f__VehicleLayoutPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/SettingsPage.qml"), &QmlCacheGeneratedCode::_0x5f__SettingsPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/DocumentsPage.qml"), &QmlCacheGeneratedCode::_0x5f__DocumentsPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TimelineSectionDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__TimelineSectionDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/PkPassBarcode.qml"), &QmlCacheGeneratedCode::_0x5f__PkPassBarcode_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/JourneySectionDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__JourneySectionDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/StopPickerPage.qml"), &QmlCacheGeneratedCode::_0x5f__StopPickerPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/PlaceEditor.qml"), &QmlCacheGeneratedCode::_0x5f__PlaceEditor_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/BoardingPass.qml"), &QmlCacheGeneratedCode::_0x5f__BoardingPass_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/HotelDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__HotelDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/LocationInfoDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__LocationInfoDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/JourneyRequestPage.qml"), &QmlCacheGeneratedCode::_0x5f__JourneyRequestPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/AboutPage.qml"), &QmlCacheGeneratedCode::_0x5f__AboutPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/StatisticsDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__StatisticsDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/PlaceDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__PlaceDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/RestaurantPage.qml"), &QmlCacheGeneratedCode::_0x5f__RestaurantPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/CarRentalPage.qml"), &QmlCacheGeneratedCode::_0x5f__CarRentalPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/BusDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__BusDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/WelcomePage.qml"), &QmlCacheGeneratedCode::_0x5f__WelcomePage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/DateTimeEdit.qml"), &QmlCacheGeneratedCode::_0x5f__DateTimeEdit_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/JourneySectionPage.qml"), &QmlCacheGeneratedCode::_0x5f__JourneySectionPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/IndoorMapPlatformSheet.qml"), &QmlCacheGeneratedCode::_0x5f__IndoorMapPlatformSheet_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TripGroupDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__TripGroupDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/JourneyPathPage.qml"), &QmlCacheGeneratedCode::_0x5f__JourneyPathPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TouristAttractionPage.qml"), &QmlCacheGeneratedCode::_0x5f__TouristAttractionPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/HealthCertificateTest.qml"), &QmlCacheGeneratedCode::_0x5f__HealthCertificateTest_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/DevelopmentModePage.qml"), &QmlCacheGeneratedCode::_0x5f__DevelopmentModePage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/WeatherForecastDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__WeatherForecastDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TimelinePage.qml"), &QmlCacheGeneratedCode::_0x5f__TimelinePage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/StatisticsPage.qml"), &QmlCacheGeneratedCode::_0x5f__StatisticsPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/HealthCertificateBarcode.qml"), &QmlCacheGeneratedCode::_0x5f__HealthCertificateBarcode_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/FlightPage.qml"), &QmlCacheGeneratedCode::_0x5f__FlightPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TrainEditor.qml"), &QmlCacheGeneratedCode::_0x5f__TrainEditor_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/CountryComboBox.qml"), &QmlCacheGeneratedCode::_0x5f__CountryComboBox_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/AlternativeJourneyPage.qml"), &QmlCacheGeneratedCode::_0x5f__AlternativeJourneyPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/IndoorMapPage.qml"), &QmlCacheGeneratedCode::_0x5f__IndoorMapPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TicketTokenDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__TicketTokenDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/JourneyDelegateHeader.qml"), &QmlCacheGeneratedCode::_0x5f__JourneyDelegateHeader_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/EventDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__EventDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/JourneySummaryDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__JourneySummaryDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/JourneyQueryPage.qml"), &QmlCacheGeneratedCode::_0x5f__JourneyQueryPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/CarRentalDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__CarRentalDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TrainDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__TrainDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/HealthCertificateRecovery.qml"), &QmlCacheGeneratedCode::_0x5f__HealthCertificateRecovery_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TouristAttractionDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__TouristAttractionDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/HotelEditor.qml"), &QmlCacheGeneratedCode::_0x5f__HotelEditor_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/EditorPage.qml"), &QmlCacheGeneratedCode::_0x5f__EditorPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/RestaurantDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__RestaurantDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/DetailsPage.qml"), &QmlCacheGeneratedCode::_0x5f__DetailsPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/IndoorMapGateSheet.qml"), &QmlCacheGeneratedCode::_0x5f__IndoorMapGateSheet_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/EventPage.qml"), &QmlCacheGeneratedCode::_0x5f__EventPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/HealthCertificateVaccination.qml"), &QmlCacheGeneratedCode::_0x5f__HealthCertificateVaccination_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/main.qml"), &QmlCacheGeneratedCode::_0x5f__main_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/DateInput.qml"), &QmlCacheGeneratedCode::_0x5f__DateInput_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/IndoorMapInfoSheetOpeningHoursDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__IndoorMapInfoSheetOpeningHoursDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/BarcodeScanModeController.qml"), &QmlCacheGeneratedCode::_0x5f__BarcodeScanModeController_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/HotelPage.qml"), &QmlCacheGeneratedCode::_0x5f__HotelPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TimelineDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__TimelineDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/LocationPicker.qml"), &QmlCacheGeneratedCode::_0x5f__LocationPicker_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TransferPage.qml"), &QmlCacheGeneratedCode::_0x5f__TransferPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/FlightEditor.qml"), &QmlCacheGeneratedCode::_0x5f__FlightEditor_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/IndoorMapElevatorSheet.qml"), &QmlCacheGeneratedCode::_0x5f__IndoorMapElevatorSheet_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/PublicTransportBackendPage.qml"), &QmlCacheGeneratedCode::_0x5f__PublicTransportBackendPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/VehicleLoadIndicator.qml"), &QmlCacheGeneratedCode::_0x5f__VehicleLoadIndicator_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/FlightDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__FlightDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/HealthCertificatePage.qml"), &QmlCacheGeneratedCode::_0x5f__HealthCertificatePage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TrainPage.qml"), &QmlCacheGeneratedCode::_0x5f__TrainPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/EventEditor.qml"), &QmlCacheGeneratedCode::_0x5f__EventEditor_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/IndoorMapInfoSheet.qml"), &QmlCacheGeneratedCode::_0x5f__IndoorMapInfoSheet_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/RestaurantEditor.qml"), &QmlCacheGeneratedCode::_0x5f__RestaurantEditor_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TransferDelegate.qml"), &QmlCacheGeneratedCode::_0x5f__TransferDelegate_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/BusPage.qml"), &QmlCacheGeneratedCode::_0x5f__BusPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/WeatherForecastPage.qml"), &QmlCacheGeneratedCode::_0x5f__WeatherForecastPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/EventTicket.qml"), &QmlCacheGeneratedCode::_0x5f__EventTicket_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/PkPassPage.qml"), &QmlCacheGeneratedCode::_0x5f__PkPassPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/FavoriteLocationPage.qml"), &QmlCacheGeneratedCode::_0x5f__FavoriteLocationPage_qml::unit);
        resourcePathToCachedUnit.insert(QStringLiteral("/TimeInput.qml"), &QmlCacheGeneratedCode::_0x5f__TimeInput_qml::unit);
    QQmlPrivate::RegisterQmlUnitCacheHook registration;
    registration.version = 0;
    registration.lookupCachedQmlUnit = &lookupCachedUnit;
    QQmlPrivate::qmlregister(QQmlPrivate::QmlUnitCacheHookRegistration, &registration);
}

Registry::~Registry() {
    QQmlPrivate::qmlunregister(QQmlPrivate::QmlUnitCacheHookRegistration, quintptr(&lookupCachedUnit));
}

const QQmlPrivate::CachedQmlUnit *Registry::lookupCachedUnit(const QUrl &url) {
    if (url.scheme() != QLatin1String("qrc"))
        return nullptr;
    QString resourcePath = QDir::cleanPath(url.path());
    if (resourcePath.isEmpty())
        return nullptr;
    if (!resourcePath.startsWith(QLatin1Char('/')))
        resourcePath.prepend(QLatin1Char('/'));
    return unitRegistry()->resourcePathToCachedUnit.value(resourcePath, nullptr);
}
}
int QT_MANGLE_NAMESPACE(qInitResources_qml)() {
    ::unitRegistry();
    Q_INIT_RESOURCE(qml_qmlcache);
    return 1;
}
Q_CONSTRUCTOR_FUNCTION(QT_MANGLE_NAMESPACE(qInitResources_qml))
int QT_MANGLE_NAMESPACE(qCleanupResources_qml)() {
    Q_CLEANUP_RESOURCE(qml_qmlcache);
    return 1;
}
